# $Revision: 1.108 $, $Date: 2008-04-02 06:39:02 $
#
# Conditional build:
%bcond_without	gd	# without statusmap and trends, which require gd library
#
Summary:	Host/service/network monitoring program
Summary(pl.UTF-8):	Program do monitorowania serwerów/usług/sieci
Summary(pt_BR.UTF-8):	Programa para monitoração de máquinas e serviços
Name:		nagios
Version:	3.0.1
Release:	0.1
License:	GPL v2
Group:		Networking
Source0:	http://dl.sourceforge.net/nagios/%{name}-%{version}.tar.gz
# Source0-md5:	4c3b353bfa94b49a616924cf3f910734
Source1:	%{name}-apache.conf
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	http://www.nagios.org/images/favicon.ico
# Source4-md5:	1c4201c7da53d6c7e48251d3a9680449
Source5:	%{name}-config-20071217.tar.bz2
# Source5-md5:	c50e60b73f86b8bfbc36f486d583f67b
Source6:	%{name}-lighttpd.conf
Patch0:		%{name}-resources.patch
Patch1:		%{name}-iconv-in-libc.patch
Patch2:		%{name}-webapps.patch
URL:		http://www.nagios.org/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with gd}
BuildRequires:	gd-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.15.1
Requires(post,preun):	/sbin/chkconfig
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-common = %{version}-%{release}
Requires:	/bin/mail
Requires:	rc-scripts
Requires:	sh-utils
Provides:	nagios-core
Obsoletes:	netsaint
Conflicts:	iputils-ping < 1:ss020124
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_bindir		%{_prefix}/sbin
%define		_sbindir	%{_libdir}/%{name}/cgi
%define		_datadir	%{_prefix}/share/%{name}
%define		_localstatedir	/var/lib/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}

%description
Nagios is a program that will monitor hosts and services on your
network. It has the ability to email or page you when a problem arises
and when a problem is resolved. Nagios is written in C and is designed
to run under Linux (and some other *NIX variants) as a background
process, intermittently running checks on various services that you
specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to Nagios. The plugins are
available in nagios-plugins packages.

Nagios is successor to NetSaint.

%description -l pl.UTF-8
Nagios to program, który monitoruje serwery oraz usługi w naszej
sieci. Posiada on możliwość wysyłania informacji o wystąpieniu oraz
rozwiązaniu problemu. Nagios został napisany w C oraz jest
zaprojektowany do pracy pod Linuksem (i niektórymi innymi uniksami)
jako proces pracujący w tle i bezustannie wykonujący pewne operacje
sprawdzające.

Właściwe sprawdzanie jest wykonywane przez osobne programy
("wtyczki"), które zwracają informacje o statusie do Nagiosa. Wtyczki
są dostępne na stronie w pakietach nagios-plugins.

Nagios jest następcą NetSainta.

%description -l pt_BR.UTF-8
O Nagios é um programa que monitora máquinas e serviços na sua rede.
Ele pode enviar um email ou um aviso de pager para o administrador
quando surgir um problema e quando ele for resolvido. Nagios é escrito
em C e foi desenvolvido para rodar em plataformas Linux (e algumas
variações de *NIX) como um processo em segundo plano, periodicamente
executando checagens nos diversos serviços que forem especificados.

%package common
Summary:	Common files needed by both nagios and nrpe
Summary(pl.UTF-8):	Wspólne pliki wymagane zarówno przez nagiosa jak i nrpe
Group:		Networking
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Provides:	group(nagios)
Provides:	group(nagios-data)
Provides:	user(nagios)

%description common
Common files needed by both nagios and nrpe.

%description common -l pl.UTF-8
Wspólne pliki wymagane zarówno przez nagiosa jak i nrpe.

%package cgi
Summary:	CGI webinterface for Nagios
Summary(pl.UTF-8):	Interfejs WWW/CGI dla Nagiosa
Group:		Applications/WWW
# for dirs... and accessing local logs.
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-imagepaks
Requires:	%{name}-theme
Requires:	group(http)
Requires:	webapps
Requires:	webserver
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(auth)
Requires:	webserver(cgi)
Requires:	webserver(indexfile)

%description cgi
CGI webinterface for Nagios.

%description cgi -l pl.UTF-8
Interfejs CGI dla Nagiosa.

%package theme-default
Summary:	Default Nagios theme
Summary(pl.UTF-8):	Domyślny motyw Nagiosa
Group:		Applications/WWW
Requires:	nagios-cgi = %{version}-%{release}
Provides:	nagios-theme
Obsoletes:	nagios-theme

%description theme-default
Original theme from Nagios.

%description theme-default -l pl.UTF-8
Oryginalny motyw z Nagiosa.

%package devel
Summary:	Include files that Nagios-related applications may compile against
Summary(pl.UTF-8):	Pliki nagłówkowe, wykorzystywane przez aplikacje nagiosa
Summary(pt_BR.UTF-8):	Arquivos de cabeçalho necessários para desenvolvimento de aplicativos para o Nagios
Group:		Development/Libraries
# doesn't require base

%description devel
This package provides include files that Nagios-related applications
may compile against.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki nagłówkowe, które mogą być wykorzystywane
przez aplikacje związane z nagiosem podczas kompilacji.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos de cabeçalho usados no desenvolvimento de
aplicativos para o Nagios.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

sed -i -e '
	s,".*/var/rw/nagios.cmd,"%{_localstatedir}/rw/nagios.cmd,
	s,".*/libexec/eventhandlers,"%{_libdir}/%{name}/eventhandlers,
' $(find contrib/eventhandlers -type f)

sed -e 's,%{_prefix}/lib/,%{_libdir}/,' %{SOURCE1} > apache.conf
sed -e 's,%{_prefix}/lib/,%{_libdir}/,' %{SOURCE6} > lighttpd.conf

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure \
	--with-nagios-user=%{name} \
	--with-nagios-grp=%{name} \
	--with-command-user=%{name} \
	--with-command-grp=%{name} \
	--with-lockfile=%{_localstatedir}/%{name}.pid \
	--with-ping_command='/bin/ping -n %%s -c %%d' \
	--enable-event-broker \
	%{!?with_gd:--disable-statusmap --disable-trends}

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_webapps}/%{_webapp}} \
	$RPM_BUILD_ROOT{%{_var}/log/%{name}/archives,%{_localstatedir}/rw} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{plugins,local} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}/{eventhandlers,plugins} \
%if "%{_lib}" != "lib"
	$RPM_BUILD_ROOT%{_prefix}/lib/%{name}/{eventhandlers,plugins} \
%endif

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}
install include/*.h	$RPM_BUILD_ROOT%{_includedir}/%{name}

%{__make} install-unstripped \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_OPTS="" \
	INIT_OPTS="" \
	COMMAND_OPTS=""

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}

# install templated configuration files
tar jxf %{SOURCE5} --strip-components=1 -C $RPM_BUILD_ROOT%{_sysconfdir}
sed -i -e 's,%{_prefix}/lib/,%{_libdir}/,' $RPM_BUILD_ROOT%{_sysconfdir}/resource.cfg

# webserver files
install apache.conf $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
install apache.conf $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf
install lighttpd.conf $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/lighttpd.conf
mv $RPM_BUILD_ROOT{%{_sysconfdir}/cgi.cfg,%{_webapps}/%{_webapp}}
> $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/passwd
echo 'nagios:' > $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/group

# install event handlers
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a contrib/eventhandlers $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# Object data/cache files
for i in {objects.cache,{comments,downtime,retention,status}.dat,nagios.tmp}; do
	> $RPM_BUILD_ROOT%{_localstatedir}/$i
done
> $RPM_BUILD_ROOT%{_localstatedir}/rw/nagios.cmd

%clean
rm -rf $RPM_BUILD_ROOT

%post
for i in %{_localstatedir}/{objects.cache,{comments,downtime,retention,status}.dat}; do
	[ ! -f $i ] && touch $i
	chown root:nagios $i
	chmod 664 $i
done

/sbin/chkconfig --add %{name}
%service %{name} restart "Nagios service"

%preun
if [ "$1" = "0" ] ; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%pre common
if [ "`getgid netsaint`" = "72" ]; then
	/usr/sbin/groupmod -n nagios netsaint
fi
%groupadd -g 72 nagios
%groupadd -g 147 -f nagios-data
if [ -n "`id -u netsaint 2>/dev/null`" ] && [ "`id -u netsaint`" = "72" ]; then
	/usr/sbin/usermod -d %{_libdir}/nagios -l nagios -c "Nagios Daemon" -G nagios-data netsaint
fi
%useradd -u 72 -d %{_libdir}/nagios -s /bin/false -c "Nagios Daemon" -g nagios -G nagios-data nagios

%postun common
if [ "$1" = "0" ]; then
	%userremove nagios
	%groupremove nagios
	%groupremove nagios-data
fi

%post cgi
if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
NOTE:
You need to add user to %{_webapps}/%{_webapp}/passwd and
%{_webapps}/%{_webapp}/group to access Nagios via web.

EOF
fi

%triggerin cgi -- apache1 < 1.3.37-3, apache1-base
%addusertogroup http nagios-data
%webapp_register apache %{_webapp}

%triggerun cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin cgi -- apache < 2.2.0, apache-base
%addusertogroup http nagios-data
%webapp_register httpd %{_webapp}

%triggerun cgi -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin cgi -- lighttpd
%addusertogroup lighttpd nagios-data
%webapp_register lighttpd %{_webapp}

%triggerun cgi -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- nagios-cgi < 2.0-0.b3.21
chown root:http %{_sysconfdir}/cgi.cfg

%triggerpostun -- nagios < 2.0-0.b3.21
chown root:nagios %{_sysconfdir}/*.cfg
chown root:nagios-data %{_sysconfdir}/nagios.cfg
%addusertogroup nagios nagios-data

# must unify nagios.cfg
sed -i -e '
s,^status_file=.*,status_file=%{_localstatedir}/status.dat,
s,^comment_file=.*,comment_file=%{_localstatedir}/comments.dat,
s,^downtime_file=.*,downtime_file=%{_localstatedir}/downtime.dat,
s,^lock_file=.*,lock_file=%{_localstatedir}/nagios.pid,
s,^temp_file=.*,temp_file=%{_localstatedir}/nagios.tmp,
s,^state_retention_file=.*,state_retention_file=%{_localstatedir}/retention.dat,

# option changes
s,^log_passive_service_checks=,log_passive_checks=,
s,^inter_check_delay_method=,service_inter_check_delay_method=,
s,^use_agressive_host_checking=,use_aggressive_host_checking=,
s,^freshness_check_interval=,service_freshness_check_interval=,

' %{_sysconfdir}/nagios.cfg

sed -i -e '
s,\$DATETIME\$,$LONGDATETIME$,g
s,Nagios/1.2,Nagios/%{version},g
' %{_sysconfdir}/misccommands.cfg

mv -f /var/log/nagios/status.log %{_localstatedir}/status.dat 2>/dev/null
mv -f /var/log/nagios/comment.log %{_localstatedir}/comments.dat 2>/dev/null
mv -f /var/log/nagios/downtime.log %{_localstatedir}/downtime.dat 2>/dev/null
mv -f /var/run/nagios.pid %{_localstatedir}/nagios.pid 2>/dev/null
mv -f /var/log/nagios/nagios.tmp %{_localstatedir}/nagios.tmp 2>/dev/null
mv -f /var/log/nagios/status.sav %{_localstatedir}/retention.dat 2>/dev/null
chown nagios:nagios %{_localstatedir}/nagios.pid 2>/dev/null
chown nagios:nagios-data %{_localstatedir}/rw/nagios.cmd 2>/dev/null

%service -q %{name} restart

%banner -e %{name}-2.0 <<'EOF'
Please read <http://nagios.sourceforge.net/docs/2_0/whatsnew.html>
there are changes that no longer work in Nagios 2.0.

You could also try use <http://oss.op5.se/nagios/object_config_fix.php.gz>
to convert your config (yes i know it's too late to say it now, after
the upgrade, but still :))
EOF
#'vim

# webapps trigger
%triggerpostun cgi -- %{name}-cgi < 2.0-0.b6.0.2
for i in cgi.cfg group passwd; do
	if [ -f /etc/nagios/$i.rpmsave ]; then
		mv -f %{_webapps}/%{_webapp}/$i{,.rpmnew}
		mv -f /etc/nagios/$i.rpmsave %{_webapps}/%{_webapp}/$i
	fi
done

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_webapps}/%{_webapp}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_webapps}/%{_webapp}/httpd.conf
fi

# migrate from apache-config macros
if [ -f /etc/%{name}/apache-nagios.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_webapps}/%{_webapp}/apache.conf{,.rpmnew}
		cp -f /etc/%{name}/apache-nagios.conf.rpmsave %{_webapps}/%{_webapp}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_webapps}/%{_webapp}/httpd.conf{,.rpmnew}
		cp -f /etc/%{name}/apache-nagios.conf.rpmsave %{_webapps}/%{_webapp}/httpd.conf
	fi
	rm -f /etc/%{name}/apache-nagios.conf.rpmsave
fi

# place new config location, as trigger puts config only on first install, do it here.
if [ -L /etc/apache/conf.d/99_%{name}.conf ]; then
	rm -f /etc/apache/conf.d/99_%{name}.conf
	apache_reload=1
fi
if [ -L /etc/httpd/httpd.conf/99_%{name}.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_%{name}.conf
	httpd_reload=1
fi

if [ "$apache_reload" ]; then
	/usr/sbin/webapp register apache %{_webapp}
	%service -q apache reload
fi
if [ "$httpd_reload" ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc Changelog README* UPGRADING INSTALLING LICENSE
%doc sample-config/template-object/{localhost,commands}.cfg
%attr(640,root,nagios-data) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nagios.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/[!n]*.cfg

%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/nagiostats

%attr(770,root,nagios-data) %dir %{_var}/log/%{name}
%attr(770,root,nagios-data) %dir %{_var}/log/%{name}/archives

%attr(770,root,nagios-data) %dir %{_localstatedir}
%attr(2770,root,nagios-data) %dir %{_localstatedir}/rw
%attr(660,nagios,nagios-data) %ghost %{_localstatedir}/rw/nagios.cmd
%attr(2770,root,nagios-data) %dir %{_localstatedir}/spool
%attr(2770,root,nagios-data) %dir %{_localstatedir}/spool/checkresults
%attr(664,root,nagios) %ghost %{_localstatedir}/objects.cache
%attr(664,root,nagios) %ghost %{_localstatedir}/*.dat
%attr(664,root,nagios) %ghost %{_localstatedir}/%{name}.tmp

%{_examplesdir}/%{name}-%{version}

%files common
%defattr(644,root,root,755)
%attr(750,root,nagios-data) %dir %{_sysconfdir}
%attr(2750,root,nagios) %dir %{_sysconfdir}/plugins
%attr(2750,root,nagios) %dir %{_sysconfdir}/local
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/eventhandlers

%if "%{_lib}" != "lib"
%dir %{_prefix}/lib/%{name}
%dir %{_prefix}/lib/%{name}/plugins
%dir %{_prefix}/lib/%{name}/eventhandlers
%endif

%files cgi
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/cgi.cfg
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/passwd
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/group
%dir %{_sbindir}
%attr(755,root,root) %{_sbindir}/*.cgi

%dir %{_datadir}
%dir %{_datadir}/images
%dir %{_datadir}/stylesheets
%{_datadir}/favicon.ico
%{_datadir}/robots.txt
%{_datadir}/contexthelp
%{_datadir}/docs
%{_datadir}/media
%{_datadir}/ssi

%files theme-default
%defattr(644,root,root,755)
%{_datadir}/*.html
%{_datadir}/images/*
%{_datadir}/stylesheets/*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios.spec,v $
Revision 1.108  2008-04-02 06:39:02  paszczus
- updated to 3.0.1

Revision 1.107  2008-03-27 12:37:05  glen
- pluginset is completely free

Revision 1.106  2008-03-22 14:35:22  megabajt
- CVE references

Revision 1.105  2008-03-18 17:05:42  arekm
- rel 2; configs from DEVEL

Revision 1.104  2008-03-18 13:59:43  arekm
- add spool/checkresults dir

Revision 1.103  2008-03-18 13:52:54  arekm
- up to 3.0

Revision 1.102  2008-03-13 10:18:22  arekm
- up to 2.11 [CVE-2008-1360]

Revision 1.101  2007-12-04 07:57:19  glen
- call nagios uid comment Nagios Daemon

Revision 1.100  2007-11-06 06:12:16  arekm
- up to 2.10 [CVE-2007-5624]

Revision 1.99  2007/07/13 11:33:48  glen
- describe last commit

Revision 1.98  2007/07/12 14:05:54  arekm
- rel 4 [added -cvs.patch]

Revision 1.97  2007/06/09 17:17:48  psz
- rel 3

Revision 1.96  2007/06/09 17:05:38  psz
- missing dependency

Revision 1.95  2007/05/16 12:50:55  glen
- create /usr/lib/nagios/{plugins,eventhandlers} for lib64 archidectures to be able to create noarch plugin packages
- rel 2

Revision 1.94  2007/04/26 22:03:16  qboosh
- CVE reference

Revision 1.93  2007/04/12 09:15:32  arekm
- up to 2.9

Revision 1.92  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.91  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.90  2007/01/25 21:21:41  areq
- 2.7

Revision 1.89  2006/12/20 00:27:50  glen
- up to 2.6

Revision 1.88  2006/10/01 18:08:17  glen
- rel 4

Revision 1.87  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.86  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.85  2006/08/07 12:20:35  glen
- rel 2

Revision 1.84  2006/07/17 17:25:37  glen
- lighttpd support

Revision 1.83  2006/07/14 07:00:10  shadzik
- up to 2.5

Revision 1.82  2006/06/10 17:08:35  glen
- use install-unstripped, remove duplicate or unneccessary install targets

Revision 1.81  2006/06/10 12:41:48  areq
- 2.4

Revision 1.80  2006/05/21 19:25:44  glen
- 2.3.1 [fixes CVE-2006-2162, CVE-2006-2489]

Revision 1.79  2006/04/20 16:41:12  glen
- fix chkconfig deps

Revision 1.78  2006/04/13 08:41:22  glen
- 2.2 (fixes segfaults in 2.1)

Revision 1.77  2006/04/12 19:33:59  glen
- rel 1

Revision 1.76  2006/03/28 07:05:32  wolvverine
- add all *.h files to devel package

Revision 1.75  2006/03/28 06:48:03  wolvverine
- up to 2.1
- not tested
- compiled with --enable-event-broker for cacti-plugin-npc

Revision 1.74  2006/03/14 15:06:18  glen
- lib64 safe resource.cfg, rel 2

Revision 1.73  2006/03/14 14:48:12  glen
- lib64 safe apache config

Revision 1.72  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.71  2006/03/02 13:17:28  jajcus
- Version: 2.0

Revision 1.70  2006/02/03 16:46:34  baggins
- rel 3

Revision 1.69  2006/02/03 16:40:54  glen
- apache-base in webapp trigger

Revision 1.68  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.67  2006/01/04 14:10:33  glen
- use %service in trigger to respect skip auto restarts of services
- sorted preambles
- rel 2

Revision 1.66  2005/12/21 21:36:15  djrzulf
- rel 1, works without problems,

Revision 1.65  2005/12/19 22:32:31  glen
- fix webapps migration trigger

Revision 1.64  2005/12/18 21:39:28  djrzulf
- started update do b6, STBR AC-TEST, please,

Revision 1.63  2005/11/30 20:48:59  glen
- use webapps framework

Revision 1.62  2005/11/20 22:54:18  glen
- killed unused macros

Revision 1.61  2005/09/20 07:43:46  glen
- BR: sed always; adapterized

Revision 1.60  2005/08/09 10:34:47  glen
- add nagios-data group to http in trigger for it to be done in proper order

Revision 1.59  2005/08/09 10:19:58  glen
- use apache config triggers
- rel 2

Revision 1.58  2005/08/09 09:01:26  havner
- 2.0 b4

Revision 1.57  2005/06/14 07:06:24  baggins
- rel .43
- changed R:mailx to R:/bin/mail

Revision 1.56  2005/05/29 16:05:43  glen
- todo

Revision 1.55  2005/05/19 01:06:32  glen
- uploaded nagios-config

Revision 1.54  2005/05/19 00:51:21  glen
- %banner in upgrade gives link to one (unofficial) config migrate script written in php

Revision 1.53  2005/05/14 19:39:33  glen
- setgid for local and plugins configdir
- set ghost file permissions (so --setugids --setperms work properly)
- unpack configs in install for better debugging with re-entrant %install

Revision 1.52  2005/05/14 17:05:58  glen
- use nagios-config svn repo for configs
- add plugins and local dirs to /etc/nagios

Revision 1.51  2005/05/13 18:50:51  qboosh
- pl for -theme-default

Revision 1.50  2005/05/13 18:26:28  glen
- fix rpm group for -cgi and theme packages

Revision 1.49  2005/05/13 18:22:22  glen
- internal theme gets strict deps
- put core documents (help) and dirs back to -cgi package

Revision 1.48  2005/05/13 17:46:39  glen
- split html into theme package to be able to extend themes

Revision 1.47  2005/05/09 18:33:48  qboosh
- pl for -common

Revision 1.46  2005/05/08 19:41:13  glen
- chkconfig req back to main package

Revision 1.45  2005/05/08 19:20:51  glen
- created common package holding base dirs and uid/gid

Revision 1.44  2005/05/08 18:03:04  glen
- obsolete TODO removed; renumber patches

Revision 1.43  2005/05/08 17:53:53  glen
- DB interfaces gone, so remove pgsql patch

Revision 1.42  2005/05/08 17:52:29  glen
- merged 2.0.b3 from DEVEL

Revision 1.36.2.39  2005/05/08 17:51:27  glen
- remove duplicate changelog

Revision 1.36.2.38  2005/05/08 16:59:30  glen
- rel .22

Revision 1.36.2.37  2005/05/08 16:58:01  glen
- due object_cache_feature the config files are no longer needed to be
  readable by webserver. change config group to nagios (for nagios
  daemon itself)

Revision 1.36.2.36  2005/05/08 16:01:04  glen
- added serviceextinfo.cfg config
- trigger fixes:
  - cgi.cfg needs different permission
  - $DATETIME$ variable seems gone

Revision 1.36.2.35  2005/05/08 12:49:55  glen
- upgrade trigger fixes

Revision 1.36.2.34  2005/05/08 12:04:14  glen
- Native DB Support Dropped
- update trigger migrating from 1.2

Revision 1.36.2.33  2005/05/08 10:36:05  glen
- trigger restart shouldn't fail

Revision 1.36.2.32  2005/05/02 20:11:47  glen
- merged triggers

Revision 1.36.2.31  2005/05/02 20:04:00  glen
- fixed useradding / netsaint user trigger

Revision 1.36.2.30  2005/05/02 19:28:02  glen
- cosmetics

Revision 1.36.2.29  2005/05/02 19:25:38  glen
- merged %useradd/%groupadd from HEAD

Revision 1.36.2.28  2005/05/02 19:15:15  glen
- df dl the ico

Revision 1.36.2.27  2005/04/25 09:17:50  glen
- 2.0b3 (not tested)

Revision 1.36.2.26  2005/04/09 21:37:02  glen
- added sample hostextinfo.cfg

Revision 1.36.2.25  2005/04/09 21:10:59  glen
- added favicon.ico

Revision 1.36.2.24  2005/04/09 19:01:42  glen
- fix greedy sed for contrib scripts

Revision 1.36.2.23  2005/04/09 17:48:37  glen
- merge from HEAD

Revision 1.36.2.22  2005/04/09 16:03:51  glen
- cp config.sub

Revision 1.36.2.21  2005/04/02 08:32:08  glen
- merged nagios-cgi.patch to -config.patch

Revision 1.36.2.20  2005/04/01 22:36:57  glen
- imagepaks in separate .spec

Revision 1.36.2.19  2005/03/23 17:55:50  glen
- contributed eventhandlers go to _examplesdir

Revision 1.36.2.18  2005/03/14 22:04:19  glen
- remove nagios uid from icmp group
- don't forget restart service after groupmod

Revision 1.36.2.17  2005/03/14 21:24:03  glen
- add more logos from nagios homepage

Revision 1.36.2.16  2005/03/06 23:14:34  glen
- adapterized

Revision 1.36.2.15  2005/03/06 22:33:54  glen
- add nagios-data group to http in %post
- R: nagios-plugins for main package (it's useless without plugins)
- nice message to first-install-user what to do next

Revision 1.36.2.14  2005/03/06 22:14:12  glen
- belong to group icmp for /bin/ping

Revision 1.36.2.13  2005/03/06 21:44:37  glen
- R: mailx (misccommands.cfg for sending mail)

Revision 1.36.2.12  2005/03/06 21:44:05  glen
- filled configuration files
- permission changes
- added config patch
- updated -cgi apache requirements

Revision 1.36.2.11  2005/03/06 20:15:51  glen
- logs moved to /var/log/nagios

Revision 1.36.2.10  2005/03/06 20:01:36  glen
- add nagios.sysconfig
- create blank config files
- adjust nagios group membership (+trigger)
- {bigger,minimial}.cfg moved to doc (we provide working configuration)
- updated permission on localstatedir

Revision 1.36.2.9  2005/03/06 17:59:02  glen
- fix config files

Revision 1.36.2.8  2005/03/06 17:25:39  glen
- update apache config placement

Revision 1.36.2.7  2005/03/06 16:25:38  glen
- remove nagios-data group

Revision 1.36.2.6  2005/03/06 16:25:20  glen
- fix netsaint user rename

Revision 1.36.2.5  2005/03/06 16:24:39  glen
- create nagios-data group

Revision 1.36.2.4  2005/02/22 14:28:42  glen
- fix for builder?

Revision 1.36.2.3  2005/02/22 13:16:11  glen
- update TODO

Revision 1.36.2.2  2005/02/22 13:03:26  glen
- 2.0b2 source (not tested)

Revision 1.36.2.1  2005/02/22 12:56:35  glen
- 2.0b1 work in progress

Revision 1.41  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.40  2005/04/26 22:28:25  wolvverine
- remove undocumented option for groupadd (-f)
- up release to 8
- STBR

Revision 1.39  2005/04/10 23:29:59  djrzulf
- cgi subpackage need apache-auth to works,

Revision 1.38  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.37  2005/04/01 22:44:49  glen
- imagepak-base moved to nagios-imagepaks.spec

Revision 1.36  2005/01/17 10:40:26  glen
- rename configs from -sample

Revision 1.35  2004/12/20 20:39:49  adamg
- Source3-md5 added

Revision 1.34  2004/12/20 20:32:52  glen
- rel 7; STBR

Revision 1.33  2004/12/08 00:33:10  glen
- apache config placement for -cgi

Revision 1.32  2004/12/08 00:12:09  glen
- this is nagios, not netsaint
- silently detect if netsaint user exist

Revision 1.31  2004/10/28 12:42:31  paladine
- "PostgreSQL" unification

Revision 1.30  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.29  2004/09/07 17:55:42  adamg
- split BuildRequires into separate lines
- release 6

Revision 1.28  2004/09/07 17:41:22  adamg
- added imagepak-base (conains logos)
- some missing BRs
- changes from glen

Revision 1.27  2004/08/25 14:34:51  ankry
- missing provides, fix %{name} use, better upgrade of netsaint support, rel. 5

Revision 1.26  2004/08/25 06:57:06  ankry
- rel. 4

Revision 1.25  2004/08/17 22:45:44  ankry
- added proper BR: rpmbuild(macros)

Revision 1.24  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.23  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.22  2004/05/07 09:48:28  qboosh
- added iconv-in-libc patch to avoid -liconv; release 3

Revision 1.21  2004/04/15 12:17:45  averne
- added nagios-resources.patch

Revision 1.20  2004/04/11 18:36:16  baseciq
- added 'reload' in nagios.init

Revision 1.19  2004/02/03 08:51:56  orzech
- up to 1.2 (bugfix release), builds fine on Ra & Ac

Revision 1.18  2003/12/03 13:07:15  qboosh
- added nagios dirs to package (fixes BTS#769)
- redefine some _*dirs to simplify configure
- new-style bconds

Revision 1.17  2003/11/14 09:25:20  qboosh
- use standard glob exclusions

Revision 1.16  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.15  2003/06/04 21:38:39  orzech
- release 0.9: mass cleanup
- TODO: prepare nagios-plugins (they're in the way) and test it alltogether

Revision 1.14  2003/06/03 17:22:06  misi3k
- rel 0.1
- updated to 1.1
  Note: not tested

Revision 1.13  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:50:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 06:53:50  pascalek
- revert user changes

Revision 1.10  2003/05/10 11:40:13  pascalek
- Req user-nagios

Revision 1.9  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.8  2002/12/07 14:33:33  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.7  2002/11/25 08:41:06  orzech
- up to 1.0 (finally!)
- fixed source URL

Revision 1.6  2002/09/16 08:31:09  orzech
- up to beta 6

Revision 1.5  2002/08/26 15:08:21  orzech
- cosmetics

Revision 1.4  2002/08/26 14:41:12  orzech
- updated to b5 - lots of memleaks removed
- no SQL support by default -
  1. doesn't work as it should;
  2. SQL support is not maintained
- fixed License
- adapterized

Revision 1.3  2002/08/17 08:20:27  qboosh
- updated ping path to /bin/ping
- better messages in pre, don't use macros where they shouldn't be used
- release 0.b4.1

Revision 1.2  2002/07/08 12:01:05  orzech
- up to beta4
- updated URL
- cosmetics

Revision 1.1  2002/06/07 12:31:45  orzech
- initial, based upon PLD netsaint spec
